import { useState, useEffect } from 'react'

function Blog() {

    const [json, setJson] = useState("");

    useEffect( async () => {
        const res = await fetch('http://worldtimeapi.org/api/ip')
        const raw_json = await res.json()
        setJson(JSON.stringify(raw_json));
    },[])

    return (
        <div>
            <h1>Blog</h1>
            <pre>
                {json}
            </pre>
        </div>
    )    
}

export default Blog